# $Revision: 1.16 $, $Date: 2011/01/22 20:18:52 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	PEAR_PackageUpdate
%define		subver		RC1
%define		rel			2
Summary:	%{_pearname} - a simple way to update packages at runtime
Summary(pl.UTF-8):	%{_pearname} - prosty sposób do aktualizacji paczek w czasie działania aplikacji
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	0.%{subver}.%{rel}
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	dd8b512a13bca2861ea1881c689c13e2
URL:		http://pear.php.net/package/PEAR_PackageUpdate/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR >= 1:1.4.8
Obsoletes:	php-pear-PEAR_PackageUpdate-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PEAR_PackageUpdate (PPU) is designed to allow developers to easily
include auto updating features for other packages and PEAR installable
applications. PPU will check to see if a new version of a package is
available and then ask the user if they would like to update the
package. PPU uses PEAR to communicate with the channel server and to
execute the update.

PPU allows the end user to take some control over when they are
notified about new releases. The PPU Preferences allow a user to tell
PPU not to ask about certain types of releases (bug fixes, minor
releases, etc.), not to ask about certain release states (devel,
alpha, etc.), not to ask until the next release or not to ask again.

PPU is just an engine for package updating. It should not be used
directly. Instead one of the driver packages such as
PEAR_PackageUpdate_Gtk2 should be used depending on the application or
other package.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
PEAR_PackageUpdate (PPU) został zaprojektowany aby umożliwić
developerom dołączenie w prosty sposób automatycznej aktualizacji
innych pakietów PEAR lub aplikacji korzystających ze sposobu
instalacji PEAR. PPU sprawdzi czy jest dostępna nowa wersja i zapyta
użytkownika czy chcieliby zaktualizować pakiet. PPU korzysta z PEAR do
komunikacji z serwerem kanałów oraz do wykonania aktualizacji.

PPU pozwala użytkownikowi końcowemu na pewną kontrolę kiedy mają być
powiadamiania o nowych aktualizacjach. Preferencje PPU pozwalają
użytkownikowi na pominięcie pewnych rodzajów aktualizacji (poprawki
błędów, drobne wydania), czy konkretnych statusów (devel, alpha,
itp.), czy polecenie PPU aby nie pytał do czasu kolejnej wersji.

PPU jest tylko silnikiem do aktualizacji pakietów. Nie powinien być
użyty bezpośrednio. Zamiast tego, pakiety takie jak
PEAR_PackageUpdate_GTK2 powinny być użyte.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PEAR/PackageUpdate.php
%{php_pear_dir}/PEAR/PackageUpdate

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_PackageUpdate.spec,v $
Revision 1.16  2011/01/22 20:18:52  glen
- drop -tests

Revision 1.15  2010/08/19 13:38:43  glen
- up to 1.1.0RC1-beta

Revision 1.14  2008/12/27 00:43:31  adamg
- updated to 1.0.4

Revision 1.13  2008/06/19 12:56:02  adamg
- updated to 1.0.2

Revision 1.12  2008-06-01 09:21:25  adamg
- updated to 1.0.1

Revision 1.11  2008-05-03 08:37:50  adamg
- updated to 1.0.0 (stable); tests subpkg

Revision 1.10  2008-01-31 12:16:09  glen
- rel 2

Revision 1.9  2007-09-01 19:29:12  adamg
- updated to 0.7.0

Revision 1.8  2007/06/21 14:34:39  glen
- updated to 0.6.1; fixed deps

Revision 1.7  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.5  2006/07/17 08:38:59  adamg
- updated to 0.5.1

Revision 1.4  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.3  2006/04/30 06:25:44  adamg
- updated to 0.4.3

Revision 1.2  2006/04/28 17:15:48  qboosh
- typos

Revision 1.1  2006/04/24 10:00:05  adamg
- new
